curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene": "<string>",
"sequence_variant": "<string>",
"source": "<string>",
"source_url": "<string>",
"label": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"intron_chr": "<string>",
"intron_start": "<string>",
"intron_end": "<string>",
"effect_size": 123,
"neg_log10_pvalue": 123,
"neg_log10_pvalue_adj": 123,
"log2FC": 123,
"posterior_inclusion_probability": 123,
"coefficient_stddev": 123,
"power": 123,
"significant": true,
"standard_error": 123,
"z_score": 123,
"credible_set_min_r2": 123,
"method": "<string>",
"crispr_modality": "<string>",
"p_value": 123,
"chr": "<string>",
"study": "<string>",
"name": "<string>",
"class": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Genes Variants
Retrieve variant-gene pairs including eQTLs & splice QTLs from AFGR and eQTL Catalogue, and CRISPR screen and Variant-EFFECTS from IGVF, by Ensembl gene ids.
The following parameters can be used to set thresholds on -log10 p_value: gt (>), gte (>=), lt (<), lte (<=).
Set verbose = true to retrieve full info on the corresponding variants and genes.
At least one of these properties must be defined: gene_id, hgnc_id, gene_name, region, alias, method, or files_fileset.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
eQTL:
Single result
- gene_id = ENSG00000187642
- neg_log10_pvalue = gte:24.5
- method = eQTL
Group results
- alias = PERM1
- method = eQTL
spliceQTL:
Single result
- gene_id = ENSG00000188976
- neg_log10_pvalue = gt:45
- effect_size = gt:0.5
- method = spliceQTL
Group results
- alias = NOC2L
- method = spliceQTL
Variant-EFFECTS:
Single result
- gene_id = ENSG00000108179
- neg_log10_pvalue = gt:13.1
- method = Variant-EFFECTS
Group results
- alias = PPIF
- method = Variant-EFFECTS
CRISPR screen:
query by gene identifier
- gene_id = ENSG00000177455
- method = CRISPR screen
query by gene name
- gene_name = CD19
- method = CRISPR screen
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene": "<string>",
"sequence_variant": "<string>",
"source": "<string>",
"source_url": "<string>",
"label": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"intron_chr": "<string>",
"intron_start": "<string>",
"intron_end": "<string>",
"effect_size": 123,
"neg_log10_pvalue": 123,
"neg_log10_pvalue_adj": 123,
"log2FC": 123,
"posterior_inclusion_probability": 123,
"coefficient_stddev": 123,
"power": 123,
"significant": true,
"standard_error": 123,
"z_score": 123,
"credible_set_min_r2": 123,
"method": "<string>",
"crispr_modality": "<string>",
"p_value": 123,
"chr": "<string>",
"study": "<string>",
"name": "<string>",
"class": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
eQTL, spliceQTL, variant effect on gene expression CRISPR screen, Variant-EFFECTS, eQTL, spliceQTL AFGR, EBI, IGVF expression modulated by, splicing modulated by Homo sapiens true, false Response
Successful response